abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
7.12. 23:33 | Nová verze

UBports, nadace a komunita kolem Ubuntu pro telefony a tablety Ubuntu Touch (seznam podporovaných zařízení), oznámila vydání nové verze Ubuntu Touch OTA-6. Zdůrazněna jsou například vylepšení webového prohlížeče Morph.

Ladislav Hagara | Komentářů: 0
7.12. 21:33 | Komunita

Richard Hughes na svém blogu informuje, že se společnost AMI (American Megatrends Incorporated), největší dodavatel firmwarů a BIOSů (AMIBIOS, Aptio, ...), zapojila do projektu LVFS (Linux Vendor Firmware Service). Seznam projektem podporovaných zařízení by se měl tedy časem rozšířit.

Ladislav Hagara | Komentářů: 0
7.12. 20:11 | Komunita

Nadace pro svobodný software (FSF) informuje, že seznam doporučených svobodných distribucí GNU/Linuxu byl rozšířen o distribuci Hyperbola GNU/Linux-libre. Hyperbola vychází z Arch Linuxu a na rozdíl od něj splňuje požadovaná kritéria.

Ladislav Hagara | Komentářů: 4
7.12. 19:55 | IT novinky

Společnost Valve oznámila, že počítačová hra Counter-Strike: Global Offensive (Steam) je nově free to play. Hra Company of Heroes 2 (Steam) je do pondělí 10. prosince zdarma.

Ladislav Hagara | Komentářů: 0
7.12. 00:11 | Nová verze

Byla vydána verze 7.3.0 skriptovacího jazyka PHP používaného zejména k vývoji dynamických webových stránek. Jedná se o první stabilní verzi nejnovější větvě 7.3. Podrobný přehled novinek v seznamu změn.

Ladislav Hagara | Komentářů: 3
6.12. 23:55 | Nová verze

Byla vydána verze 1.31 programovacího jazyka Rust (Wikipedie). Podrobnosti v poznámkách k vydání. Vyzkoušet Rust lze například na stránce Rust by Example.

Ladislav Hagara | Komentářů: 0
6.12. 23:40 | Zajímavý článek

V roce 2015 Microsoft s Windows 10 představil i jeho nový prohlížeč Edge, který používal a používá nový engine EdgeHTML. Před pár dny se začaly objevovat zprávy o přechodu na Chromium engine. Nyní Microsoft vydal oficiální vyjádření, kde skutečně potvrdil přechod na Chromium projekt.

Max | Komentářů: 30
6.12. 23:22 | Nová verze

Po 5 měsících vývoje od vydání verze 0.15.0 byla vydána nová verze 0.16.0 správce balíčků GNU Guix a na něm postavené systémové distribuce GuixSD (Guix System Distribution). Na vývoji se podílelo 95 vývojářů. Přibylo 985 nových balíčků. Jejich aktuální počet je 8 723 . Aktualizována byla také dokumentace.

Ladislav Hagara | Komentářů: 0
6.12. 23:00 | Nová verze

Po roce vývoje od vydání verze 4.9 byla vydána nová verze 5.0 (YouTube) svobodného open source redakčního systému WordPress. Kódové označením Bebo bylo vybráno na počest kubánského jazzového hudebníka Bebo Valdése.

Ladislav Hagara | Komentářů: 1
6.12. 22:44 | Nová verze

Byla vydána beta verze Linux Mintu 19.1 s kódovým jménem Tessa. Na blogu Linux Mintu jsou hned tři oznámení. První o vydání Linux Mintu s prostředím Cinnamon, druhé o vydání Linux Mintu s prostředím MATE a třetí o vydání Linux Mintu s prostředím Xfce. Stejným způsobem jsou rozděleny také poznámky k vydání (Cinnamon, MATE, Xfce) a přehled novinek s náhledy (Cinnamon, MATE, Xfce). Linux Mint 19.1 bude podporován až do roku 2023.

Ladislav Hagara | Komentářů: 0
Chystáte se přejít na Wayland na „desktopu“?
 (25%)
 (4%)
 (12%)
 (34%)
 (25%)
Celkem 89 hlasů
 Komentářů: 13, poslední 7.12. 10:59
Rozcestník

Dotaz: Pri instalaci RPM chyba "Cannot open Packages"

2.3.2005 09:10 LinX2 | skóre: 16 | blog: LinX | Praha
Pri instalaci RPM chyba "Cannot open Packages"
Přečteno: 83×
prosim o pomoc. Mam MDK9.0 a snazil jsem se instalovat balik pomoci RPM -i "nazev baliku". Zpet mi vyhodi hlasky:
error: Cannot open Packages index using DB3 - operation not permited
error: Cannot open Packages database in /var/lib/rpm
Co s tim ? Jak to nainstalovat ? Stejna chyba i kdyz jsem logovanej jako root.
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.

Odpovědi

2.3.2005 13:03 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Skontrolujte si tu databázi, případně vytvořte novou atd..... (asi je poškozená)

Viz: man rpm.
2.3.2005 13:22 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
myslite databasi in /var/lib/rpm ? Co je v ni?
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
2.3.2005 14:37 Gustav | skóre: 23 | blog: Gustav I
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Seznam nainstalovanych baliku a jejich zavislosti.
2.3.2005 14:45 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tomu stale nerozumim. znamena ro ze nemohu nainstalovat balik, jelikoz je na necem zavisly, co ja v systemu nemam ?
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
2.3.2005 15:14 Marián Kyral
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Ne, tak to není.
RPM si všechny nainstalované balíky a závislosti mezi nima ukládá do této databáze. Pokud je tato databáze poškozená, nebo není z nějakého důvodu přístupná, tak RPM při instalaci nemůže ověřit závislosti a zda máte nainstalováno vše potřebné, takže nemůže instalovat.
Můžete zkusit databázi opravit pomocí
rpm --rebuilddb
3.3.2005 09:57 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tak jsem skusil vse podle Vasich rad, ale prilis jsem se nepohnul. Pokud zadam rpm --rebuilddb dostanu odpoved: Error: creating directory /var/lib/rpmrebuilddb.**** (nejake cislo) : permission denied. Muze pomoct rm -f /var/lib/rpm/__db* nebo rpm -v -v -rebuilddb?? Kernel 2.4.19 (myslim). Nemuze to byt nejakou starou verzi RPM ? Nevim presne, ale mam verzi 4....
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
3.3.2005 10:33 m0d0r
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
:) Skus sa prihlasit ako root a stravit to este raz :)
Marián Kyral avatar 3.3.2005 11:11 Marián Kyral | skóre: 29 | blog: Sem_Tam | Frýdek-Místek
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Pokud to nepůjde ani pod uživatelem root, tak sem dejte výstup tohoto příkazu:
ls -la /var/lib/rpm
4.3.2005 09:02 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tak uz se mi to povedlo. Nakonec pomohl prikaz pro znovuindexaci rpm -v -v -rebuilddb. dik vsem, zaviram vlakno.
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.